FROM php:7.2.17-apache
COPY .docker/nuth.sh /usr/local/bin/nuth-start
RUN chown -R www-data:www-data /var/www

RUN apt update -y
RUN apt install --no-install-recommends -y \
    libicu-dev \
    libmagickwand-dev \
    libtidy-dev \
    libzip-dev \
    mysql-client \
    netcat \
    rsync \
    sudo \
    unzip \
    zip

RUN a2enmod rewrite

RUN docker-php-ext-configure intl
RUN docker-php-ext-configure zip --with-libzip
RUN docker-php-ext-install \
    gd \
    intl \
    pdo \
    pdo_mysql \
    tidy \
    zip
RUN pecl install \
    xdebug \
    imagick
RUN docker-php-ext-enable \
    xdebug \
    imagick

ADD https://getcomposer.org/installer composer-setup.php
RUN php composer-setup.php
RUN mv composer.phar /usr/local/bin/composer
COPY --chown=www-data:www-data ./composer.* ./
RUN sudo -u www-data mkdir public
RUN sudo -u www-data composer install

COPY .docker/xdebug.ini $PHP_INI_DIR/conf.d/
COPY .docker/date.ini $PHP_INI_DIR/conf.d/

COPY --chown=www-data:www-data .docker/.env .env
COPY --chown=www-data:www-data ./ ../app
RUN sudo -u www-data composer vendor-expose

CMD [ "nuth-start" ]